Skip to content

Sets plans for multiple devices in bulk​

PUT
/devices/plan

Sets the plan for multiple devices simultaneously. This is more efficient than individual requests and helps avoid deadlocks when setting plans for reseller devices.
For user devices, the user must have already purchased or been allocated the target plan for each device.
For reseller devices, "unpaid" plans will be created and billed on the next cycle.
Currently only supports device identifiers as numerical IDs.

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Request Body​

application/json
JSON
{
  
"deviceIdentifiers": [
  
  
"string"
  
],
  
"ignoreSubscriptionSetup": true,
  
"planId": 0,
  
"renewUntil": "string"
}

Request example

Responses​

OK

application/json
JSON
{
  
"results": [
  
  
{
  
  
  
"identifier": "string",
  
  
  
"message": "string",
  
  
  
"status": "string"
  
  
}
  
],
  
"summary": {
  
  
"errorCount": 0,
  
  
"successCount": 0,
  
  
"totalRequested": 0
  
}
}
Try this endpoint

Playground​

Authorization
Body